aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorDavid Runge <dave@sleepmap.de>2015-03-20 01:00:13 +0100
committerDavid Runge <dave@sleepmap.de>2015-03-20 01:00:13 +0100
commita7b06bdff0d67ad640074e3760dcc5b667b64663 (patch)
treef4ea898034c6b610e8505615ef481365fb8eaf32 /scripts
parent1bbe8fe9d4bd4f91bdd93b0350dfae1a68621dc9 (diff)
downloadcrypted-backups-a7b06bdff0d67ad640074e3760dcc5b667b64663.tar.gz
crypted-backups-a7b06bdff0d67ad640074e3760dcc5b667b64663.tar.bz2
crypted-backups-a7b06bdff0d67ad640074e3760dcc5b667b64663.tar.xz
crypted-backups-a7b06bdff0d67ad640074e3760dcc5b667b64663.zip
backup-git: Adding first version of backup-git script, service and timer.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/backup-git27
1 files changed, 27 insertions, 0 deletions
diff --git a/scripts/backup-git b/scripts/backup-git
new file mode 100755
index 0000000..fc3abbc
--- /dev/null
+++ b/scripts/backup-git
@@ -0,0 +1,27 @@
+#!/usr/bin/env bash
+
+timestamp="$(date +"%Y%m%d-%H%M%S")-"
+
+# If the backup location doesn't exist yet, create it
+if [ ! -d $git_folder_destination ]; then
+ mkdir -p $git_folder_destination
+fi
+
+# If the parent directory of the backup source exists, enter it
+if [ -d $git_parent_source ]; then
+ cd $git_parent_source
+else
+ exit 1
+fi
+
+echo "$git_folder_source -> $git_folder_destination$timestamp$git_folder_source$tar_suffix$gpg_suffix"
+# tar in /tmp
+tar cfJ $tmp$timestamp$git_folder_source$tar_suffix $git_folder_source
+# gpg to git_folder_destination
+gpg -e \
+ -r "$gpg_public_key" \
+ -o $git_folder_destination$timestamp$git_folder_source$tar_suffix$gpg_suffix \
+ $tmp$timestamp$git_folder_source$tar_suffix
+# delete tar in /tmp
+rm -f $tmp$timestamp$git_folder_source$tar_suffix
+